Legacy Windows Support

37 users found this article helpful

As Microsoft stopped supporting driver signing for legacy Windows OS versions, it is not possible for us anymore to support Windows OS versions 2000, XP, Vista, 7, 8, and 8.1. Moreover, these Windows versions no longer receive maintenance or security updates.

As a result, Parallels Desktop 18.1.0, Parallels Desktop App Store Edition 1.8.0 and Parallels Desktop 17.1.5 include the final version of Parallels Tools for legacy (Windows 8.1 and earlier) Windows OS versions. 

Parallels Tools enable a smooth experience with Windows on a Mac and include:

In newer Parallels Desktop versions we won't be able to update the version of Parallels Tools for these Windows operating systems. 

Will your Windows machine stop working in newer Parallels Desktop versions?

No, your virtual machine will work, but the version of Parallels Tools won't be updated.

Possible limitations

Due to the inability to maintain and update Parallels Tools anymore, some (or all) of them might stop working in some time for various reasons: incompatibility with newer builds of Parallels Desktop, corruption of the virtual machine, Windows OS, and others. As a result, some integration features (Sharing/Coherence/other features) might not function properly or not function at all. 

Proposed solutions

If you use a legacy virtual machine to run some specific applications, we advise you to install Windows 11 and check if the application works there. If it doesn't work, you can search for alternatives that are compatible with Windows 11.

Was this article helpful?

Tell us how we can improve it.